Groovy Documentation

## groovy.util
[Java] Class MapEntry

    java.lang.Object
      groovy.util.MapEntry

All Implemented Interfaces:
  java.util.Map$Entry

    public class MapEntry
    extends java.lang.Object

A Map.Entry implementation.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`MapEntry(java.lang.Object key, java.lang.Object value)`

Method Summary
`boolean` | `equals(java.lang.Object that)`
`boolean` | `equals(MapEntry that)`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getValue()`
`protected int` | `hash(java.lang.Object object)` Helper method to handle object hashes for possibly null values
`int` | `hashCode()`
`void` | `setKey(java.lang.Object key)`
`java.lang.Object` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MapEntry

    public MapEntry(java.lang.Object key, java.lang.Object value)

Method Detail

### equals

    public boolean equals(java.lang.Object that)

### equals

    public boolean equals(MapEntry that)

### getKey

    public java.lang.Object getKey()

### getValue

    public java.lang.Object getValue()

### hash

    protected int hash(java.lang.Object object)

  Helper method to handle object hashes for possibly null values

### hashCode

    public int hashCode()

### setKey

    public void setKey(java.lang.Object key)

### setValue

    public java.lang.Object setValue(java.lang.Object value)

### toString

    public java.lang.String toString()

Groovy Documentation